cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
setupcoder
Level 4

Prerequisite Editor Missing Windows Server 2008 R2

The Prerequisite Editor in InstallShield 2010 is missing entries for Windows Server 2008 R2. To see this problem, do the following:

1. Start the Prerequisite Editor.
2. Select the Conditions tab.
3. Click the Add button.
4. Select the "Setup is running on a specified platform" radio button.
5. Click the "Select which platform the prerequisite should be run on" combo box.
6. Note that there are no entries listed for Windows Server 2008 R2. A workaround is to manually define the platform using the Custom option.

Will InstallShield be updated to fix this problem?
Labels (1)
0 Kudos
4 Replies
Alpesh
Flexera Alumni

Hi,

Please try using the condition for 'Windows 7'. The architecture is same and hence the condition will work for Windows 2008 R2.

Thanks,
Alpesh
0 Kudos
setupcoder
Level 4

Selecting Windows 7 won't work if the prerequisite is specifically for Windows Server 2008 R2 and not for Windows 7. The "Product (OS) Type" setting for the Windows 7 options are either "Any" or "Workstation (VER_NT_WORKSTATION)". When trying to specifically target Windows Server 2008 R2, the "Product (OS) Type" setting would presumably need to be "Server or Domain Controller (VER_NT_SERVER or VER_NT_DOMAIN_CONTROLLER)".

Thanks
0 Kudos
hidenori
Level 17

This issue has been filed under the work order #IOA-000054066 so that it will be addressed in a future release of InstallShield. At this time, you can get it work-around by creating a custom OS condition that specifically checks for Windows Server 2008 R2.

Regards.
0 Kudos
setupcoder
Level 4

Thanks. In the meantime, I've been defining the platform using the Custom option.
0 Kudos